% Correction application Chapitre 11
% Macroéconomie quantitative (2014, éd. Ellipses) 
% par Christophe Cahn

% Ce fichier permet de reproduire les élements contenu
% dans le fichier App_11_EvalPolEco.pdf disponible sur le site
% www.christophecahn.fr/macroquant

% Filename : App_11W.mod
% Application : dynare & Matlab/Octave
% Date : 24-04-2014
% Christophe Cahn (c) 2014

var C K r w Y W;
varexo muu ;

parameters bet dep tet sig ;
bet = 0.97 ;
dep = 0.07 ;
tet = 0.40 ;
sig = 2.00 ;

model;
  Y = K(-1)^tet ;
  tet*Y = r*muu*K(-1) ;
  (1-tet)*Y = w*muu ;
  C^(-sig) = bet*C(+1)^(-sig)*(r(+1) + 1 - dep) ;
  C + K - (1-dep)*K(-1) = Y ;
  W = (C^(1-sig)-1)/(1-sig) + bet*W(+1) ;
end;

initval;
  muu = 1.2 ;
  r = 1/bet - 1 + dep ;
  K = (tet/r/muu)^(1/(1-tet)) ;
  Y = K^tet ;
  C = Y - dep*K ;
  w = (1-tet)*Y/muu ;
  W = (C^(1-sig)-1)/(1-sig)/(1-bet) ;
end;

steady;

endval;
  muu = 1 ;
  r = 1/bet - 1 + dep ;
  K = (tet/r/muu)^(1/(1-tet)) ;
  Y = K^tet ;
  C = Y - dep*K ;
  w = (1-tet)*Y/muu ;
  W = (C^(1-sig)-1)/(1-sig)/(1-bet) ;
end;

steady;

simul(periods=200);