% Correction application Chapitre 11
% Macroéconomie quantitative (2014, éd. Ellipses) 
% par Christophe Cahn

% Ce fichier permet de reproduire les élements contenu
% dans le fichier App_11_EvalPolEco.pdf disponible sur le site
% www.christophecahn.fr/macroquant

% Filename : App_11_EvalPolEco.m
% Application : Matlab/Octave
% Date : 24-04-2014
% Christophe Cahn (c) 2014

% Question 2.d

bet = 0.97 ;
dep = 0.07 ;
tet = 0.40 ;
sig = 2.00 ;

% économie concurrence monopolistique
muu = 1.20 ;
r   = 1/bet - 1 + dep ;
K   = (tet/r/muu)^(1/(1-tet)) ;
Y   = K^tet ;
Cm  = Y - dep*K ;

% économie concurrence monopolistique
muu = 1 ;
r   = 1/bet - 1 + dep ;
K   = (tet/r/muu)^(1/(1-tet)) ;
Y   = K^tet ;
C1  = Y - dep*K ;

% coût en bien-être
ome = C1/Cm - 1

% Troisième partie

dynare App_11.mod

figure;

subplot(2,2,1); plot(r); title('r_t');
subplot(2,2,2); plot(K); title('K_t');
subplot(2,2,3); plot(Y); title('Y_t');
subplot(2,2,4); plot(C); title('C_t');
print('-dpdf','./App_11_fig1');


% on exclut les deux points limite qui correspondent
% aux valeurs de l’état stationnaire
W11 = sum(bet.^(0:200-1).*((C(2:end-1)').^(1-sig) - 1)/(1-sig)) ;
rss = 1/bet - 1 + dep ;
Kss = (tet/rss)^(1/(1-tet)) ;
Yss = Kss^tet ;
Css = Yss - dep*Kss ;
W12 = bet^200*(Css^(1-sig) - 1)/((1-sig)*(1-bet)) ;
W1 =W11+W12

% une façon alternative en utilisant dynare

dynare App_11W.mod

W(2)

muu = 1.20 ;
r = 1/bet - 1 + dep ;
Km = (tet/r/muu)^(1/(1-tet)) ;
Ym = Km^tet ;
Cm = Ym - dep*Km ;
ome2 = 1/Cm*((1-sig)*(1-bet)*W(2) + 1)^(1/(1-sig)) - 1 ;

ome2

% nettoyage
delete *.log *dynamic.m *results.mat *static.m *11.m *11W.m *variables.m
rmdir('App_11','s')
rmdir('App_11W','s')
